-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
-- [C6MartPeriodico].[GESTIONE_CRUSCOTTO_APPLICAZIONE_SIMULAZIONE] 'leggi','flag_archiviazione',2
CREATE procedure [C6MartPeriodico].[GESTIONE_CRUSCOTTO_APPLICAZIONE_SIMULAZIONE]
@tipoOperazione nvarchar(30)
--@tipoFlag nvarchar(30),
--@valoreFlag int
as
IF @tipoOperazione = 'leggi' 
	begin
		select * from dbo.Cruscotto_Applicazione_Simulazione
	end
ELSE IF @tipoOperazione = 'truncate' 
	begin
		truncate table  dbo.Cruscotto_Applicazione_Simulazione
		select * from dbo.dbo.Cruscotto_Applicazione_Simulazione;
	end
ELSE IF @tipoOperazione = 'updateFlag' 
	begin
		--EXECUTE ('update dbo.Cruscotto_Archiviazione set ' + @tipoFlag + '=' + @valoreFlag);
		select * from dbo.Cruscotto_Archiviazione;
	end